#include <stdio.h>
#include <iostream>
using namespace std;

int main()
{
    int x1,x2,y1,y2;
    cin>>x1;
    cin>>y1;
    cin>>x2;
    cin>>y2;
    /*cout<<x1;
    cout<<y1;
    cout<<x2;
    cout<<y2;*/

   if(x1 == x2 || y1==y2)
    {
        cout<<2;
    }
   else cout<<1;
}